// global variable for storing the current language
var language;

// global variable for storing the current language ID
var langID;

// global variable for storing NLS array
var arrayID;
                    
// variables to store language IDs
var eng = "eng";
var por = "por";
var ita = "ita";
var esp = "esp";
var fra = "fra";
var ger = "ger";
var chi = "chi";
var tch = "tch";
var jap = "jap";
var kor = "kor";


// this array contains the language names
var arrayLanguages = new Array("English", "Portugues", "Italiano", "Espanol", "Francais", "Deutsch", 
                               "Chinese", "Traditional Chinese", "Japanese", "Korean");

//the following arrays contain the names of the guides in the NLS names
var arrayGuideNameEng = new Array("SDK Guide", "Installation Guide", "Runtime Environment Guide", 
                         "Redistribution Guide", "Java Security Guide", "Readmefirst", "JavaComm API Guide*", "Information for Japanese Users", "RMI-IIOP Programmer's Guide");

var arrayGuideNamePor = new Array("SDK Guide", "Installation Guide", "Runtime Environment Guide", 
                         "Redistribution Guide", "Java Security Guide", "Readmefirst", "JavaComm API Guide*", "Information for Japanese Users", "RMI-IIOP Programmer's Guide");

var arrayGuideNameIta = new Array("SDK Guide", "Installation Guide", "Runtime Environment Guide", 
                         "Redistribution Guide", "Java Security Guide", "Readmefirst", "JavaComm API Guide*", "Information for Japanese Users", "RMI-IIOP Programmer's Guide");

var arrayGuideNameEsp = new Array("SDK Guide", "Installation Guide", "Runtime Environment Guide", 
                         "Redistribution Guide", "Java Security Guide", "Readmefirst", "JavaComm API Guide*", "Information for Japanese Users", "RMI-IIOP Programmer's Guide");

var arrayGuideNameFra = new Array("SDK Guide", "Installation Guide", "Runtime Environment Guide", 
                         "Redistribution Guide", "Java Security Guide", "Readmefirst", "JavaComm API Guide*", "Information for Japanese Users", "RMI-IIOP Programmer's Guide");

var arrayGuideNameGer = new Array("SDK Guide", "Installation Guide", "Runtime Environment Guide", 
                         "Redistribution Guide", "Java Security Guide", "Readmefirst", "JavaComm API Guide*", "Information for Japanese Users", "RMI-IIOP Programmer's Guide");

var arrayGuideNameChi = new Array("SDK Guide", "Installation Guide", "Runtime Environment Guide", 
                         "Redistribution Guide", "Java Security Guide", "Readmefirst", "JavaComm API Guide*", "Information for Japanese Users", "RMI-IIOP Programmer's Guide");

var arrayGuideNameTch = new Array("SDK Guide", "Installation Guide", "Runtime Environment Guide", 
                         "Redistribution Guide", "Java Security Guide", "Readmefirst", "JavaComm API Guide*" , "Information for Japanese Users", "RMI-IIOP Programmer's Guide");

var arrayGuideNameJap = new Array("SDK Guide", "Installation Guide", "Runtime Environment Guide", 
                         "Redistribution Guide", "Java Security Guide", "Readmefirst", "JavaComm API Guide*" , "Information for Japanese Users", "RMI-IIOP Programmer's Guide");

var arrayGuideNameKor = new Array("SDK Guide", "Installation Guide", "Runtime Environment Guide", 
                         "Redistribution Guide", "Java Security Guide", "Readmefirst", "JavaComm API Guide*", "Information for Japanese Users", "RMI-IIOP Programmer's Guide");

//the following function chooses the language in which to display the guides, based on the choice the user made in the
//startHere.htm page - the language is selected depending on the URL of the container page (index.en.html?language)
function chooseLanguage() {
    
    loc = parent.location.href; // get URL of the container page, index.en.html
    
    var langPath;
    //the following if..else block check which language the guides should be displayed in, and sets the variables
    // language, langId, and arrayID to the appropriate values
    if(loc.indexOf(eng) != -1) {
        language = arrayLanguages[0];
        langId = eng;
        arrayID = arrayGuideNameEng;
        langPath="en";
    }
    else if(loc.indexOf(por) != -1){
        language = arrayLanguages[1];
        langId = por;
        arrayID = arrayGuideNamePor;
        langPath="br";
    }
    else if(loc.indexOf(ita) != -1){
        language = arrayLanguages[2];
        langId = ita;
        arrayID = arrayGuideNameIta;
        langPath="it";
    }
    else if(loc.indexOf(esp) != -1){
        language = arrayLanguages[2];
        langId = esp;
        arrayID = arrayGuideNameEsp;
        langPath="es";
    }
    else if(loc.indexOf(fra) != -1){
        language = arrayLanguages[3];
        langId = fra;
        arrayID = arrayGuideNameFra;
        langPath="fr";
    }
    else if(loc.indexOf(ger) != -1){
        language = arrayLanguages[4];
        langId = ger;
        arrayID = arrayGuideNameGer;
        langPath="de";
    }
    else if(loc.indexOf(chi) != -1) {
        language = arrayLanguages[5];
        langId = chi;
        arrayID = arrayGuideNameChi;
        langPath="cn";
    }
    else if(loc.indexOf(tch) != -1) {
        language = arrayLanguages[6];
        langId = tch;
        arrayID = arrayGuideNameTch;
        langPath="tw";
    }
    else if(loc.indexOf(jap) != -1) {
        language = arrayLanguages[7];
        langId = jap;
        arrayID = arrayGuideNameJap;
        langPath="jp";
    }
    else if(loc.indexOf(kor) != -1){
        language = arrayLanguages[8];
        langId =  kor;
        arrayID = arrayGuideNameKor;
        langPath="ko";
    }
//alert("The chosen language is: " + language + "\nLanguage ID: " + langId + "\narrayId: " + arrayID);
    
    return langPath;
}
    
function createAssocArray(guidesArray) {
    chooseLanguage();
    var twoDimArray = new Array;
    for(i=0; i<guidesArray.length; i++) {
        
        if(guidesArray[i].indexOf("sdkguide") != -1) {
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[0];
        }                  
        else if (guidesArray[i].indexOf("installguide") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[1];
        }
        else if (guidesArray[i].indexOf("runtimeguide") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[2];
        }
        else if (guidesArray[i].indexOf("distguide") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[3];
        }
        else if (guidesArray[i].indexOf("securityguide") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[4];
        }
        else if (guidesArray[i].indexOf("readmefirst") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[5];
        }
        else if (guidesArray[i].indexOf("javacomm") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[6];
        }
        else if (guidesArray[i].indexOf("japanese") != -1){
            if ( (langId.indexOf("jap") != -1) || (langId.indexOf("eng") != -1) ) {
                twoDimArray[i] = new Array(2);
                twoDimArray[i][0] = guidesArray[i];
                twoDimArray[i][1] = arrayID[7];
            }
            else {
                twoDimArray[i] = null;
                //twoDimArray[i][0] = "";
                //twoDimArray[i][1] = "";

            }
        }   
        else if (guidesArray[i].indexOf("rmi") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[8];
        }

    }
    //alert("The chosen language is: " + language + "\nLanguage ID: " + langId + "\narrayId: " + arrayID);
    return twoDimArray;
}

//the following function writes the TOC in the toc.htm file
//first it calls the function createAssocArray() on an array that has a list of the
//file paths to the various user guides. this results in a 2-dimensional array that has the
//path of the user guide and the name to display in the browser. 
//after writing the opening <UL> tag, this function iterates through the 2-dimensional array to
//create the links to the various user guides
function writeToc(arrayGuidePaths) {
    var twoDim = createAssocArray(arrayGuidePaths); // create 2-dimensional array from array containing user guide paths
    document.write("<UL>"); // write opening <UL> tag
    
    //iterate through 2-dim array and write links in toc.htm file  
    for (i=0; i<twoDim.length; i++){
        if(twoDim[i] == null)
            continue;
        document.write("<LI><A href='" + twoDim[i][0] + "' target='Content' title='" + twoDim[i][1] + "' onClick='parent.Content.focus()'>" + twoDim[i][1] + "</A></LI>");
    }
    
    document.write("</UL>"); // write closing </UL> tag

    

}
        

// the following function automatically loads the index page with the table of contents
// use it with the onLoad attribute of the opening <BODY> tag when there are no translations
// (e.g. "<BODY onLoad="loadIndex()">

function loadIndex() {
    location.href = "navigation/index.en.htm?eng"
    //alert(location.href);
}

// SIG // Begin signature block
// SIG // MIIUIgYJKoZIhvcNAQcCoIIUEzCCFA8CAQExCzAJBgUr
// SIG // DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
// SIG // gjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIBAAIB
// SIG // AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFL3TFQrcowdm
// SIG // FOr5HFeA4yBvgNG8oIIPtjCCA6YwggMPoAMCAQICEG2i
// SIG // eukpLrbdwKgAHUduO2kwDQYJKoZIhvcNAQEFBQAwXzEL
// SIG // MAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJ
// SIG // bmMuMTcwNQYDVQQLEy5DbGFzcyAzIFB1YmxpYyBQcmlt
// SIG // YXJ5IENlcnRpZmljYXRpb24gQXV0aG9yaXR5MB4XDTAx
// SIG // MTIwMzAwMDAwMFoXDTExMTIwMjIzNTk1OVowgacxFzAV
// SIG // BgNVBAoTDlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZW
// SIG // ZXJpU2lnbiBUcnVzdCBOZXR3b3JrMTswOQYDVQQLEzJU
// SIG // ZXJtcyBvZiB1c2UgYXQgaHR0cHM6Ly93d3cudmVyaXNp
// SIG // Z24uY29tL3JwYSAoYykwMTEuMCwGA1UEAxMlVmVyaVNp
// SIG // Z24gQ2xhc3MgMyBDb2RlIFNpZ25pbmcgMjAwMSBDQTCB
// SIG // nzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEAxBHrde3n
// SIG // mISbcJd2YrFiwd5zP1Gmv6DRKY6P7BwX2uODiQNiKdIQ
// SIG // WO3dZQk84sTHZxeLrdxdTcVeZxiWQTZEuvhEES+zn354
// SIG // f7IqFh5syAUA2QkjbCjNBcwe225latGPAukMHW6Hb2Ws
// SIG // h90GRougXbViSxT7Lu0sjLxAwN5ObDUCAwEAAaOCARgw
// SIG // ggEUMBIGA1UdEwEB/wQIMAYBAf8CAQAwRAYDVR0gBD0w
// SIG // OzA5BgtghkgBhvhFAQcXAzAqMCgGCCsGAQUFBwIBFhxo
// SIG // dHRwczovL3d3dy52ZXJpc2lnbi5jb20vcnBhMB0GA1Ud
// SIG // JQQWMBQGCCsGAQUFBwMCBggrBgEFBQcDAzAOBgNVHQ8B
// SIG // Af8EBAMCAQYwEQYJYIZIAYb4QgEBBAQDAgABMCQGA1Ud
// SIG // EQQdMBukGTAXMRUwEwYDVQQDEwxDbGFzczNDQTEtMTIw
// SIG // HQYDVR0OBBYEFDUr9GRzkJwDbQMNZ2Br3QsQPLthMDEG
// SIG // A1UdHwQqMCgwJqAkoCKGIGh0dHA6Ly9jcmwudmVyaXNp
// SIG // Z24uY29tL3BjYTMuY3JsMA0GCSqGSIb3DQEBBQUAA4GB
// SIG // ACJYbTpkep0M9mBSgu2ws8SWKsUzqQF0b7N214QKLGQn
// SIG // lzC6KrK6gZm7I4fFM5GALTen3LSLzro5lHQ7kH62JhJj
// SIG // cCEW/Dn2mW/YnxglE4kkRGnglG8TLI/nsFeUkZr+o/Xd
// SIG // FQP3gRkTDfcXUCUkX67gk4TWAy2QcTcV2jHSWsX4MIID
// SIG // xDCCAy2gAwIBAgIQR78Zld+NUkZD99ttSA0xpDANBgkq
// SIG // hkiG9w0BAQUFADCBizELMAkGA1UEBhMCWkExFTATBgNV
// SIG // BAgTDFdlc3Rlcm4gQ2FwZTEUMBIGA1UEBxMLRHVyYmFu
// SIG // dmlsbGUxDzANBgNVBAoTBlRoYXd0ZTEdMBsGA1UECxMU
// SIG // VGhhd3RlIENlcnRpZmljYXRpb24xHzAdBgNVBAMTFlRo
// SIG // YXd0ZSBUaW1lc3RhbXBpbmcgQ0EwHhcNMDMxMjA0MDAw
// SIG // MDAwWhcNMTMxMjAzMjM1OTU5WjBTMQswCQYDVQQGEwJV
// SIG // UzEXMBUGA1UEChMOVmVyaVNpZ24sIEluYy4xKzApBgNV
// SIG // BAMTIlZlcmlTaWduIFRpbWUgU3RhbXBpbmcgU2Vydmlj
// SIG // ZXMgQ0EwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEK
// SIG // AoIBAQCpyrKkzM0grwp9iayHdfC0TvHfwQ+/Z2G9o2Qc
// SIG // 2rv5yjOrhDCJWH6M22vdNp4Pv9HsePJ3pn5vPL+Trw26
// SIG // aPRslMq9Ui2rSD31ttVdXxsCn/ovax6k96OaphrIAuF/
// SIG // TFLjDmDsQBx+uQ3eP8e034e9X3pqMS4DmYETqEcgzjFz
// SIG // DVctzXg0M5USmRK53mgvqubjwoqMKsOLIYdmvYNYV291
// SIG // vzyqJoddyhAVPJ+E6lTBCm7E/sVK3bkHEZcifNs+J9Ee
// SIG // eOyfMcnx5iIZ28SzR0OaGl+gHpDkXvXufPF9q2IBj/VN
// SIG // C97QIlaolc2uiHau7roN8+RN2aD7aKCuFDuzh8G7AgMB
// SIG // AAGjgdswgdgwNAYIKwYBBQUHAQEEKDAmMCQGCCsGAQUF
// SIG // BzABhhhodHRwOi8vb2NzcC52ZXJpc2lnbi5jb20wEgYD
// SIG // VR0TAQH/BAgwBgEB/wIBADBBBgNVHR8EOjA4MDagNKAy
// SIG // hjBodHRwOi8vY3JsLnZlcmlzaWduLmNvbS9UaGF3dGVU
// SIG // aW1lc3RhbXBpbmdDQS5jcmwwEwYDVR0lBAwwCgYIKwYB
// SIG // BQUHAwgwDgYDVR0PAQH/BAQDAgEGMCQGA1UdEQQdMBuk
// SIG // GTAXMRUwEwYDVQQDEwxUU0EyMDQ4LTEtNTMwDQYJKoZI
// SIG // hvcNAQEFBQADgYEASmv56ljCRBwxiXmZK5a/gqwB1hxM
// SIG // zbCKWG7fCCmjXsjKkxPnBFIN70cnLwA4sOTJk06a1CJi
// SIG // Ffc/NyFPcDGA8Ys4h7Po6JcA/s9Vlk4k0qknTnqut2FB
// SIG // 8yrO58nZXt27K4U+tZ212eFX/760xX71zwye8Jf+K9M7
// SIG // UhsbOCf3P0owggP/MIIC56ADAgECAhAN6Svw1NgpiBgy
// SIG // BQlemnaIMA0GCSqGSIb3DQEBBQUAMFMxCzAJBgNVBAYT
// SIG // AlVTMRcwFQYDVQQKEw5WZXJpU2lnbiwgSW5jLjErMCkG
// SIG // A1UEAxMiVmVyaVNpZ24gVGltZSBTdGFtcGluZyBTZXJ2
// SIG // aWNlcyBDQTAeFw0wMzEyMDQwMDAwMDBaFw0wODEyMDMy
// SIG // MzU5NTlaMFcxCzAJBgNVBAYTAlVTMRcwFQYDVQQKEw5W
// SIG // ZXJpU2lnbiwgSW5jLjEvMC0GA1UEAxMmVmVyaVNpZ24g
// SIG // VGltZSBTdGFtcGluZyBTZXJ2aWNlcyBTaWduZXIwggEi
// SIG // MA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCyUChI
// SIG // 3dNoeoQYRGZ1XX7EuJ9jJv89Q5x8ETgQJVVz2XUnaf1O
// SIG // uSBc0wr5oBsq7VVWIWHYHtvkvDNrx+/dozdljhuTDLZT
// SIG // Hlx8ZjVfBYpF/nZO31OAooEgna6IXKII9+Uw+e4iN0xC
// SIG // Cs7fxh/E1lXpgT+1UqMsqgF68qKqjTX+n+ZdagWfPWvj
// SIG // v5bA/sxg+UDnB6BE64FRbqUq8raKECjtj9wGoIZQmntK
// SIG // CA0wHcoQnmv36ViuBKlAmbIo6I8WrDzjU29L0zWdtW9k
// SIG // HbOWLLs953nrbXr5FuYmra/vmVO3QCyVuHmq/tRSqyl0
// SIG // fkLsOR6iahbmWbskaNgAgEMQh4BrAgMBAAGjgcowgccw
// SIG // NAYIKwYBBQUHAQEEKDAmMCQGCCsGAQUFBzABhhhodHRw
// SIG // Oi8vb2NzcC52ZXJpc2lnbi5jb20wDAYDVR0TAQH/BAIw
// SIG // ADAzBgNVHR8ELDAqMCigJqAkhiJodHRwOi8vY3JsLnZl
// SIG // cmlzaWduLmNvbS90c3MtY2EuY3JsMBYGA1UdJQEB/wQM
// SIG // MAoGCCsGAQUFBwMIMA4GA1UdDwEB/wQEAwIGwDAkBgNV
// SIG // HREEHTAbpBkwFzEVMBMGA1UEAxMMVFNBMjA0OC0xLTU0
// SIG // MA0GCSqGSIb3DQEBBQUAA4IBAQCHeHDaTlIBIFvgecmC
// SIG // MMT9uRmWvZEAw73Nzcb0Dtj/+U3AM2IwEcX1dBvUkt5f
// SIG // nCATsXxFvlDNg+eAF4OnJ5NnE0b7yriYQQPMm1FbBYt/
// SIG // qG/zG1AbJC7yaY1sIve7yhaV7Qx0wGh32euZYofBc5D4
// SIG // iXR6I6ujmHuXsfePKXFNLnUbSEHa8LUNIFTWd6CXgmNp
// SIG // /QnPivB1uwmb2fkRVSaaYTK+egKwe4a+osOLIix40TV2
// SIG // vJJzXPm55kwVCiPM5NLUNC5JQBU8D2B6JMalZu+Wz3Dr
// SIG // Puf0DX7c0XyjdnFpwZxPRzA1IbGirxpiPCvZjqoqB3vY
// SIG // GLNce+KdpW/+PImtMIIEPTCCA6agAwIBAgIQN9XcYFHA
// SIG // GdvoyvbKOA7DAzANBgkqhkiG9w0BAQUFADCBpzEXMBUG
// SIG // A1UEChMOVmVyaVNpZ24sIEluYy4xHzAdBgNVBAsTFlZl
// SIG // cmlTaWduIFRydXN0IE5ldHdvcmsxOzA5BgNVBAsTMlRl
// SIG // cm1zIG9mIHVzZSBhdCBodHRwczovL3d3dy52ZXJpc2ln
// SIG // bi5jb20vcnBhIChjKTAxMS4wLAYDVQQDEyVWZXJpU2ln
// SIG // biBDbGFzcyAzIENvZGUgU2lnbmluZyAyMDAxIENBMB4X
// SIG // DTA0MDYxNDAwMDAwMFoXDTA1MDcxNDIzNTk1OVowgcwx
// SIG // CzAJBgNVBAYTAkdCMRIwEAYDVQQIEwlIYW1wc2hpcmUx
// SIG // EDAOBgNVBAcTB0h1cnNsZXkxEjAQBgNVBAoUCUlCTVVL
// SIG // IEx0ZDE+MDwGA1UECxM1RGlnaXRhbCBJRCBDbGFzcyAz
// SIG // IC0gTWljcm9zb2Z0IFNvZnR3YXJlIFZhbGlkYXRpb24g
// SIG // djIxLzAtBgNVBAsUJmUtYnVzaW5lc3MgSW5mcmFzdHJ1
// SIG // Y3R1cmUgVGVjaG5vbG9naWVzMRIwEAYDVQQDFAlJQk1V
// SIG // SyBMdGQwgZ8wDQYJKoZIhvcNAQEBBQADgY0AMIGJAoGB
// SIG // AMPCbDLbrw3UDES3k8VO5dIFYf2epD2sIOLhMJIhFRIo
// SIG // HbU5OeuUepIWAfyCRXREt8FScJVVQNNpZ+TCeiuNYIv0
// SIG // MCqE/qRr1UcQy0ymKII/PCk3xX6sgO50h29oIEA7bJ/Z
// SIG // okosl4qmY5aTgYO3v/QLsnG8QZ15T3GNOUvYle+7AgMB
// SIG // AAGjggFBMIIBPTAJBgNVHRMEAjAAMA4GA1UdDwEB/wQE
// SIG // AwIHgDBCBgNVHR8EOzA5MDegNaAzhjFodHRwOi8vY3Js
// SIG // LnZlcmlzaWduLmNvbS9DbGFzczNDb2RlU2lnbmluZzIw
// SIG // MDEuY3JsMEQGA1UdIAQ9MDswOQYLYIZIAYb4RQEHFwMw
// SIG // KjAoBggrBgEFBQcCARYcaHR0cHM6Ly93d3cudmVyaXNp
// SIG // Z24uY29tL3JwYTATBgNVHSUEDDAKBggrBgEFBQcDAzA1
// SIG // BggrBgEFBQcBAQQpMCcwJQYIKwYBBQUHMAGGGWh0dHBz
// SIG // Oi8vb2NzcC52ZXJpc2lnbi5jb20wHwYDVR0jBBgwFoAU
// SIG // NSv0ZHOQnANtAw1nYGvdCxA8u2EwEQYJYIZIAYb4QgEB
// SIG // BAQDAgQQMBYGCisGAQQBgjcCARsECDAGAQEAAQH/MA0G
// SIG // CSqGSIb3DQEBBQUAA4GBAKfxenKMVEhV4w9u09FuJQD6
// SIG // DVGFL3yHw4gWKo+pnq6q28VWXgofbWPXH+cz81utx1EI
// SIG // 4z8z6uEKLgdolGIZHjJiLRezKq8X8/bHZ4zG6VZXH8mV
// SIG // iZAsshESQ+iWO4fVphCIRkNerPZxXAIFmxdk260Ei++B
// SIG // 4dmxuxTTeCQoE+bWMYID2DCCA9QCAQEwgbwwgacxFzAV
// SIG // BgNVBAoTDlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZW
// SIG // ZXJpU2lnbiBUcnVzdCBOZXR3b3JrMTswOQYDVQQLEzJU
// SIG // ZXJtcyBvZiB1c2UgYXQgaHR0cHM6Ly93d3cudmVyaXNp
// SIG // Z24uY29tL3JwYSAoYykwMTEuMCwGA1UEAxMlVmVyaVNp
// SIG // Z24gQ2xhc3MgMyBDb2RlIFNpZ25pbmcgMjAwMSBDQQIQ
// SIG // N9XcYFHAGdvoyvbKOA7DAzAJBgUrDgMCGgUAoHAwEAYK
// SIG // KwYBBAGCNwIBDDECMAAwGQYJKoZIhvcNAQkDMQwGCisG
// SIG // AQQBgjcCAQQwHAYKKwYBBAGCNwIBCzEOMAwGCisGAQQB
// SIG // gjcCARUwIwYJKoZIhvcNAQkEMRYEFK1f8YIUqTEn0h2y
// SIG // puQ8Cn59o14oMA0GCSqGSIb3DQEBAQUABIGAN2YnsKDO
// SIG // PTnWXBypUyS3lMaer2JAptfjv1chXGNH+iveGkwimCn8
// SIG // /44D39BL6I8hRk07zjAMUWr5JWYbQTTSwRjbi3WvLyjg
// SIG // /YApnhA9DD12EIin579CKHQ0eX9/0vjH5j0jQD4OEiw+
// SIG // foz2pi71/vTJKas8bGNT9zcGWgmJK0OhggH/MIIB+wYJ
// SIG // KoZIhvcNAQkGMYIB7DCCAegCAQEwZzBTMQswCQYDVQQG
// SIG // EwJVUzEXMBUGA1UEChMOVmVyaVNpZ24sIEluYy4xKzAp
// SIG // BgNVBAMTIlZlcmlTaWduIFRpbWUgU3RhbXBpbmcgU2Vy
// SIG // dmljZXMgQ0ECEA3pK/DU2CmIGDIFCV6adogwDAYIKoZI
// SIG // hvcNAgUFAKBZMBgGCSqGSIb3DQEJAzELBgkqhkiG9w0B
// SIG // BwEwHAYJKoZIhvcNAQkFMQ8XDTA0MDkyNjA0MjAyOVow
// SIG // HwYJKoZIhvcNAQkEMRIEEKDOyP26/cnndyDeV1Ckiq0w
// SIG // DQYJKoZIhvcNAQEBBQAEggEAkWbLtlnw6vwc75rdoIF5
// SIG // FE8omE8GrTBy5rm/oDwDrwTzxnqM+NYoCPNdKcHtmAlv
// SIG // Hu9gIW0zG2De16dQZpCYySjOtLaqk3vbvyaldvcytKHJ
// SIG // 7ET+1bs42h5N3U5b01AQqcu4Q2DjQZZisR9zNVldjR+d
// SIG // LZwzaEv08mCEwBO1CjX7P7rB5I9exS+pwEXcQJYhjSfN
// SIG // x4Zd+94PK6JW2frOZnLP22uNB5+ePsvtAEzU6FqKyg6y
// SIG // O/YVwA67ysCSiKvByNDp1rmbw2rmcL/hG5bNvZY3sESC
// SIG // qdUSHEwoKoQ4a4DNEY1t+zX8QdctilPpOnR/2hLyB9PG
// SIG // qJge9ffK+p23jA==
// SIG // End signature block
